Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003804TestLinkReportspublic2010-09-23 10:152010-11-14 12:07
Reportermehrich 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 6 
Fixed in Version1.9 (Prague) 
Summary0003804: company logo not resized by document generator
DescriptionThe company logo defined by $tlCfg->company_logo is resized to 115x53 pixel for the login page and the navigation bar.
For the reports the original size is used which can be very large. In the reports the logo should be displayed also in a reasonable size.

I do not think its size should be customizable, the "standard" height of 53 pixel should be ok.
Steps To Reproduce1. define $tlCfg->document_generator->company_logo with a very large image.
2. create test plan report => company logo does not fit in page
Additional Informationfix would be:
change in lib/functions/print.inc.php the lines 518 and following to

$output .= '<p style="text-align: center;"><img alt="TestLink logo" ' .
           'title="configure using $tlCfg->document_generator->company_logo"'.
           ' style="height: 53px;"'.
           ' src="' . $_SESSION['basehref'] . TL_THEME_IMG_DIR .
           docCfg->company_logo . '" />

';

Here is the hint in the "title" corrected, too. (sorry, 2 fixes in 1 issue)
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox 3.6.10
PHP Version5.3
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0011732)
fman (administrator)
2010-10-09 08:00

Release 1.9 RC1
(0011919)
mehrich (reporter)
2010-10-15 09:56

Unfortunately my contribution was not good enough.
The current fix does only work for HTML Reports.
For Word and Writer reports an additional 'height="53"' in the output helps:

        $output .= '<p style="text-align: center;"><img alt="TestLink logo" ' .
                      'title="configure using $tlCfg->document_generator->company_logo" style="height: 53px;"'.
                      ' src="' . $_SESSION['basehref'] . TL_THEME_IMG_DIR . $docCfg->company_logo .
                   '" height="53" />';
(0011924)
fman (administrator)
2010-10-15 17:25
edited on: 2010-10-15 18:06

Hmmm, not good solution, we need to switch to old html way => do not use style.

(0011926)
fman (administrator)
2010-10-15 18:09
edited on: 2010-10-15 18:10

Please use this and let us know:
$output .= '<p style="text-align: center;"><img alt="TestLink logo" ' .
                      'title="configure using $tlCfg->document_generator->company_logo" height="53"'.
                      ' src="' . $_SESSION['basehref'] . TL_THEME_IMG_DIR . $docCfg->company_logo . '" />';

(0011946)
mehrich (reporter)
2010-10-18 07:35

perfect, this soution without style statement works for HTML, Word and Writer.
(0012556)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-09-23 10:15 mehrich New Issue
2010-09-23 15:09 fman Assigned To => fman
2010-09-23 15:09 fman Status new => assigned
2010-09-23 17:24 fman Fixed in Version => 1.9 RC 1
2010-09-23 17:24 fman Additional Information Updated View Revisions
2010-09-23 17:24 fman Status assigned => resolved
2010-09-23 17:24 fman Resolution open => fixed
2010-10-09 08:00 fman Note Added: 0011732
2010-10-09 08:00 fman Status resolved => closed
2010-10-15 09:56 mehrich Note Added: 0011919
2010-10-15 09:56 mehrich Status closed => assigned
2010-10-15 09:56 mehrich Resolution fixed => reopened
2010-10-15 17:25 fman Note Added: 0011924
2010-10-15 18:06 fman Note Edited: 0011924 View Revisions
2010-10-15 18:09 fman Note Added: 0011926
2010-10-15 18:10 fman Note Edited: 0011926 View Revisions
2010-10-15 18:13 fman Fixed in Version 1.9 RC 1 =>
2010-10-18 07:35 mehrich Note Added: 0011946
2010-10-18 08:33 fman Status assigned => resolved
2010-10-18 08:33 fman Fixed in Version => 1.9 (Prague)
2010-10-18 08:33 fman Resolution reopened => fixed
2010-11-14 12:07 fman Note Added: 0012556
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker